glm.summaries {base} | R Documentation

## Accessing Generalized Linear Model Fits

### Description

These functions are all `methods` for class `glm` or `summary.glm` and `anova.glm` objects.

`anova.glmlist` is called from `anova.glm` for comparison of several `glm` models.

### Usage

    summary(object, dispersion = NULL, correlation = FALSE, ...)
    anova(object, dispersion = NULL, ..., test = NULL)
    anova.glmlist(object, dispersion = NULL, test = NULL, ...)
    coefficients(x) ; coef(x)
    df.residual(x)
    family(x)
    fitted.values(x) ; fitted(x)
    residuals(x, type = c("deviance", "pearson", "working",
                          "response", "partial"), ...)
    print.summary(summary.glm.obj, digits = max(3, getOption("digits") - 3),
                  na.print = "", symbolic.cor = p > 4,
                  signif.stars = getOption("show.signif.stars"), ...)

### Arguments

`object, x` | an object of class `glm`, typically the result of a call to `glm`.
`dispersion` | the dispersion parameter for the fitting family. By default it is obtained from `glm.obj`.
`correlation` | logical; if `TRUE`, the correlation matrix of the estimated parameters is returned and printed.
`test` | a character string, matching one of `"Chisq"`, `"F"` or `"Cp"`. See `stat.anova`.
`type` | the type of residuals which should be returned. The alternatives are: `"deviance"` (default), `"pearson"`, `"working"`, `"response"`, and `"partial"`.

### Value

The function `summary` can be used to obtain or print a summary of the results and the function `anova` and be used to produce and analysis of variance table.

### Warning

The comparison between two or more models by `anova` or `anova.glmlist` will only be valid if they are fitted to the same dataset. This may be a problem if there are missing values and R's default of `na.action = na.omit` is used.

### See Also

`glm` for computing `glm.obj`; the corresponding generic functions, `summary`, `anova`, `coefficients`, `deviance`, `effects`, `fitted.values`, `residuals`.

### Examples

    ## --- Continuing the Example from  ``?glm'':

    summary(glm.D93)
    anova(glm.D93)
    anova(glm.D93, test = "Cp")
    anova(glm.D93, test = "Chisq")

[Package Contents]